> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a team's access requests

GET https://api.getpostman.com/teams/{teamId}/access-requests

Gets a team's pending access requests.

Reference: https://learning.postman.com/api-docs/api-reference/teams/get-team-access-requests

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /teams/{teamId}/access-requests:
    get:
      operationId: getTeamAccessRequests
      summary: Get a team's access requests
      description: Gets a team's pending access requests.
      tags:
        - teams
      parameters:
        - name: teamId
          in: path
          description: The team's ID.
          required: true
          schema:
            $ref: '#/components/schemas/teamId'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: limit
          in: query
          description: The maximum number of rows to return in the response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault50'
            default: 50
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: identifierType
          in: header
          description: Use SCIM user and group IDs instead of Postman user IDs.
          required: false
          schema:
            $ref: '#/components/schemas/identifierType'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTeamAccessRequests'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetTeamAccessRequestsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teamsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teamsError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    teamId:
      type: integer
      title: teamId
    cursor:
      type: string
      title: cursor
    limitDefault50:
      type: integer
      default: 50
      title: limitDefault50
    identifierType:
      type: string
      title: identifierType
    GetTeamAccessRequestsDataItemsRole:
      type: string
      enum:
        - TEAM_MANAGER
        - TEAM_DEVELOPER
        - TEAM_GUEST_DEVELOPER
        - TEAM_GUEST_VIEWER
        - TEAM_PARTNER_MANAGER
        - TEAM_PARTNER_LEAD
        - TEAM_GUEST
        - TEAM_PARTNER
        - TEAM_COMMUNITY_MANAGER
      description: The requested team role.
      title: GetTeamAccessRequestsDataItemsRole
    GetTeamAccessRequestsDataItemsEntityId:
      oneOf:
        - type: integer
        - type: string
      description: The entity's ID.
      title: GetTeamAccessRequestsDataItemsEntityId
    GetTeamAccessRequestsDataItemsCreatedBy:
      oneOf:
        - type: integer
        - type: string
      description: The user ID of the user who created the access request.
      title: GetTeamAccessRequestsDataItemsCreatedBy
    GetTeamAccessRequestsDataItems:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
          description: The date and time the access request was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time the access request was last updated.
        id:
          type: integer
          description: The access request's ID.
        role:
          $ref: '#/components/schemas/GetTeamAccessRequestsDataItemsRole'
          description: The requested team role.
        requestType:
          type: string
          description: The access request type.
        reason:
          type: string
          description: The reason the access request was created.
        status:
          type: string
          description: The access request's status.
        entityType:
          type: string
          description: The entity type.
        entityId:
          $ref: '#/components/schemas/GetTeamAccessRequestsDataItemsEntityId'
          description: The entity's ID.
        objectType:
          type: string
          description: The entity type.
        objectId:
          type: integer
          description: The entity's ID.
        createdBy:
          $ref: '#/components/schemas/GetTeamAccessRequestsDataItemsCreatedBy'
          description: The user ID of the user who created the access request.
      description: Information about the access request.
      title: GetTeamAccessRequestsDataItems
    metaDataNextCursor:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      description: The response's meta information for paginated results.
      title: metaDataNextCursor
    getTeamAccessRequests:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetTeamAccessRequestsDataItems'
          description: A list of access requests.
        metadata:
          $ref: '#/components/schemas/metaDataNextCursor'
      title: getTeamAccessRequests
    TeamsErrorDetailError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: TeamsErrorDetailError
    teamsErrorDetail:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/TeamsErrorDetailError'
          description: Information about the error.
      description: An explanation about the problem.
      title: teamsErrorDetail
    TeamsErrorDetailInvalidEntriesResultItemsEntityId:
      oneOf:
        - type: integer
        - type: string
      description: The entity ID.
      title: TeamsErrorDetailInvalidEntriesResultItemsEntityId
    TeamsErrorDetailInvalidEntriesResultItems:
      type: object
      properties:
        entityType:
          type: string
          description: The entity type.
        entityId:
          $ref: >-
            #/components/schemas/TeamsErrorDetailInvalidEntriesResultItemsEntityId
          description: The entity ID.
        role:
          type:
            - string
            - 'null'
          description: The assigned role.
        status:
          type: string
          description: The `Invalid` response status.
        reason:
          type: string
          description: The reason for the error.
      title: TeamsErrorDetailInvalidEntriesResultItems
    teamsErrorDetailInvalidEntries:
      type: object
      properties:
        error:
          type: string
          description: The error message.
        result:
          type: array
          items:
            $ref: '#/components/schemas/TeamsErrorDetailInvalidEntriesResultItems'
          description: A list of invalid entities.
      description: An explanation about the problem.
      title: teamsErrorDetailInvalidEntries
    TeamsErrorDetail:
      oneOf:
        - $ref: '#/components/schemas/teamsErrorDetail'
        - $ref: '#/components/schemas/teamsErrorDetailInvalidEntries'
      title: TeamsErrorDetail
    teamsError:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/TeamsErrorDetail'
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: teamsError
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    GetTeamAccessRequestsRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/teamsError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
      title: GetTeamAccessRequestsRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "data": [
    {
      "createdAt": "2025-10-10T18:54:09.000Z",
      "updatedAt": "2025-10-10T18:54:09.000Z",
      "id": 1,
      "role": "TEAM_DEVELOPER",
      "requestType": "REQUEST_TO_ADD_MEMBERS",
      "reason": "Needs the developer role.",
      "status": "Requested",
      "entityType": "user",
      "entityId": 1317604,
      "objectType": "team",
      "objectId": 1,
      "createdBy": 12345678
    },
    {
      "createdAt": "2025-10-10T18:57:58.000Z",
      "updatedAt": "2025-10-10T18:57:58.000Z",
      "id": 2,
      "role": "TEAM_MANAGER",
      "requestType": "UPGRADE_ROLE",
      "reason": "I need the team manager role for my team.",
      "status": "Requested",
      "entityType": "user",
      "entityId": 12345678,
      "objectType": "team",
      "objectId": 2,
      "createdBy": 12345678
    }
  ],
  "metadata": {
    "nextCursor": null
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/teams/123/access-requests"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/teams/123/access-requests';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/teams/123/access-requests"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/teams/123/access-requests")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/teams/123/access-requests")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/teams/123/access-requests', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/teams/123/access-requests");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/teams/123/access-requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response with SCIM IDs



**Response**

```json
{
  "data": [
    {
      "createdAt": "2025-10-10T18:54:09.000Z",
      "updatedAt": "2025-10-10T18:54:09.000Z",
      "id": 1,
      "role": "TEAM_DEVELOPER",
      "requestType": "REQUEST_TO_ADD_MEMBERS",
      "reason": "Needs the developer role.",
      "status": "Requested",
      "entityType": "user",
      "entityId": "937a3efba0d1e20642fabd0aa692b3ce30969fb92a0b0d6d",
      "objectType": "team",
      "objectId": 1,
      "createdBy": "33d8e85cc5ec04715bb0c18b42312d80413bad8a96622eb7"
    },
    {
      "createdAt": "2025-10-10T18:57:58.000Z",
      "updatedAt": "2025-10-10T18:57:58.000Z",
      "id": 2,
      "role": "TEAM_MANAGER",
      "requestType": "UPGRADE_ROLE",
      "reason": "I need the team manager role for my team.",
      "status": "Requested",
      "entityType": "user",
      "entityId": "696e7061fe5aa0e7abb54851cdb0e3b21eed4f8daef24d13",
      "objectType": "team",
      "objectId": 2,
      "createdBy": "33d8e85cc5ec04715bb0c18b42312d80413bad8a96622eb7"
    }
  ],
  "metadata": {
    "nextCursor": null
  }
}
```

**SDK Code**

```python Response with SCIM IDs
import requests

url = "https://api.getpostman.com/teams/123/access-requests"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response with SCIM IDs
const url = 'https://api.getpostman.com/teams/123/access-requests';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response with SCIM IDs
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/teams/123/access-requests"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response with SCIM IDs
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/teams/123/access-requests")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response with SCIM IDs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/teams/123/access-requests")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Response with SCIM IDs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/teams/123/access-requests', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response with SCIM IDs
using RestSharp;

var client = new RestClient("https://api.getpostman.com/teams/123/access-requests");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response with SCIM IDs
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/teams/123/access-requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```